*******************************************************************************
*******************************************************************************
************************************RESULTS************************************
*******************************************************************************
*******************************************************************************

clear all
use "C:\POSTDOC\A_ABGESCHLOSSENE PROJEKTE\Max Albert Partizipation\Finale Druckversion\FINAL\data1.dta"
*Note: please use the appropriate file path!

*4.1 Take rates

*Takers' choices (=Take rate proposals by takers)
sum TAKE_CH if TYPE<3, detail
tab TAKE_CH if TYPE<3
*PART=0: No participation, PART=1: participation
by PART, sort: tab TAKE_CH if TYPE<3
*TREAT: 1=NoPartLow, 2=PartLow, 3=NoPartHigh, 4=PartHigh
by TREAT, sort : sum TAKE_CH if TYPE<3, detail
tab TAKE_CH TREAT if TYPE<3, chi2
tab TAKE_CH TREAT if (TYPE<3 & TREAT==1|TYPE<3&TREAT==3), chi2
tab TAKE_CH TREAT if (TYPE<3 & TREAT==2|TYPE<3 & TREAT==4), chi2

*Take rate proposals of responders****
sum TAKE_CH if TYPE==3, detail
*TREAT: 1=NoPartLow, 2=PartLow, 3=NoPartHigh, 4=PartHigh
by TREAT, sort : sum TAKE_CH if TYPE==3, detail
sum TAKE_CH if TYPE==3&PART==1, detail
tab TAKE_CH TREAT if (TYPE==3), chi2
tab TAKE_CH TREAT if (TYPE==3 & TREAT==1|TYPE==3 & TREAT==2), chi2
tab TAKE_CH TREAT if (TYPE==3 & TREAT==3|TYPE==3 & TREAT==4), chi2
tab TAKE_CH TREAT if (TYPE==3 & TREAT==2|TYPE==3 & TREAT==4), chi2

*Responders' preferred group take rates
sum TAKE_PR if TYPE==3, detail
tab TAKE_PR if TYPE==3
tab fairclaim if TYPE==3
tab TAKE_PR TREAT if (TYPE==3), chi2

*see list of tables - Table 4

*******************************************************************************
*******************************************************************************


*4.2 Destruction rates: aggregate results

*Average destruction rate over all choices t < 1
sum d34567890r, detail
*Average destruction rate over all choices t < 1
sum D_RES if TYPE==3, detail
*Possibility of destroying part of the pie
tab d345678901r
*Possibility of destroying part of the pie
tab d34567890r
*Average destruction rate
mean d34567890r if d34567890r!=0
*Possibility of destroying part of the pie even if the take rate is at its minimum 1/3
tab d3333r 
*Average destruction rate even if the take rate is at its minimum 1/3
mean d3333r if d3333r!=0
*Possibility of destroying part of the pie when the take rate is 2/3
tab fairclaim
*Average destruction rate among those who destroy when the take rate is 2/3
mean d6666r if d6666r!=0
*Average destruction rate for take rates over 2/3 and below 1
mean d67890r if d3456r!=0
*Average destruction rate at a take rate of 1
mean d10000r if d10000r!=0 

*Correlation between actual take rates and actual destruction rates
spearman TAKE_RES D_RES, stats(rho obs p) star(0.05) pw
 
*see list of tables - Table 5 

 
*******************************************************************************
*******************************************************************************


*4.3 Destruction rates: treatment effects

*Kruskal-Wallis test to compare the four groups of data
kwallis d3333r, by(TREAT)
kwallis d3456r, by(TREAT)
kwallis d6666r, by(TREAT)
kwallis d67890r, by(TREAT)
kwallis d10000r, by(TREAT)
kwallis d34567890r, by(TREAT)

*Pairwise comparisons using the Wilcoxon-Mann-Whitney test
ranksum d3333r if STRENGTH==3, by(PART)
ranksum d3456r if STRENGTH==3, by(PART)
ranksum d6666r if STRENGTH==3, by(PART)
ranksum d67890r if STRENGTH==3, by(PART)
ranksum d10000r if STRENGTH==3, by(PART)
ranksum d34567890r if STRENGTH==3, by(PART)

ranksum d3333r if STRENGTH==4, by(PART)
ranksum d3456r if STRENGTH==4, by(PART)
ranksum d6666r if STRENGTH==4, by(PART)
ranksum d67890r if STRENGTH==4, by(PART)
*ranksum d10000r if STRENGTH==4, by(PART)
ranksum d34567890r if STRENGTH==4, by(PART)

ranksum d3333r if PART==0, by(STRENGTH)
ranksum d3456r if PART==0, by(STRENGTH)
ranksum d6666r if PART==0, by(STRENGTH)
ranksum d67890r if PART==0, by(STRENGTH)
ranksum d10000r if PART==0, by(STRENGTH)
ranksum d34567890r if PART==0, by(STRENGTH)

ranksum d3333r if PART==1, by(STRENGTH)
ranksum d3456r if PART==1, by(STRENGTH)
ranksum d6666r if PART==1, by(STRENGTH)
ranksum d67890r if PART==1, by(STRENGTH)
*ranksum d10000r if PART==1, by(STRENGTH)
ranksum d34567890r if PART==1, by(STRENGTH)

mean d34567890r, over(TREAT)

ranksum d3333r, by(PART)
ranksum d3456r, by(PART)
ranksum d6666r, by(PART)
ranksum d67890r, by(PART)
ranksum d10000r, by(PART)
ranksum d34567890r, by(PART)

mean d3333r, over(PART)
mean d3456r, over(PART)
mean d6666r, over(PART)
mean d67890r, over(PART)
mean d10000r, over(PART)
mean d34567890r, over(PART)

*Kolmogorov-Smirnov test
ksmirnov d3333r, by(PART)
ksmirnov d3456r, by(PART)
ksmirnov d6666r, by(PART)
ksmirnov d67890r, by(PART)
ksmirnov d10000r, by(PART)
ksmirnov d34567890r, by(PART)
ksmirnov d3333r, by(STRENGTH)
ksmirnov d3456r, by(STRENGTH)
ksmirnov d6666r, by(STRENGTH)
ksmirnov d67890r, by(STRENGTH)
ksmirnov d10000r, by(STRENGTH)
ksmirnov d34567890r, by(STRENGTH)

*see list of tables - Table 6 & 7


*******************************************************************************
*******************************************************************************


*4.4 Destruction rates: responder types

tab playertypenew TREAT, chi2 

*Kruskal-Wallis test of destruction decisions
kwallis d3333r , by(playertypenew)
kwallis d3456r , by(playertypenew)
kwallis d6666r , by(playertypenew)
kwallis d67890r , by(playertypenew)
kwallis d10000r , by(playertypenew)
kwallis d34567890r , by(playertypenew)

*Pairwise comparison of destruction choices of type 0/1 with type 2
*-> Wilcoxon-Mann-Whitney test, one-sided
ranksum d3333r if playertypenew<=2, by(playertypenew)
mean d3333r if playertypenew<=2, over(playertypenew)
ranksum d3456r if playertypenew<=2, by(playertypenew)
mean d3456r if playertypenew<=2, over(playertypenew)
ranksum d6666r if playertypenew<=2, by(playertypenew)
mean d6666r if playertypenew<=2, over(playertypenew)
ranksum d67890r if playertypenew<=2, by(playertypenew)
mean d67890r if playertypenew<=2, over(playertypenew)
ranksum d10000r if playertypenew<=2, by(playertypenew)
mean d10000r if playertypenew<=2, over(playertypenew)
ranksum d34567890r if playertypenew<=2, by(playertypenew)
mean d34567890r if playertypenew<=2, over(playertypenew)

*Pairwise comparison of destruction choices of type 0/1 with type 3
*-> Wilcoxon-Mann-Whitney test, one-sided
ranksum d3333r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d3333r if (playertypenew==1 | playertypenew==3),over(playertypenew)
ranksum d3456r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d3456r if (playertypenew==1 | playertypenew==3), over(playertypenew)
ranksum d6666r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d6666r if (playertypenew==1 | playertypenew==3), over(playertypenew)
ranksum d67890r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d67890r if (playertypenew==1 | playertypenew==3), over(playertypenew)
ranksum d10000r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d10000r if (playertypenew==1 | playertypenew==3), over(playertypenew)
ranksum d34567890r if (playertypenew==1 | playertypenew==3), by(playertypenew)
mean d34567890r if (playertypenew==1 | playertypenew==3), over(playertypenew)

*Pairwise comparison of destruction choices of type 2 with type 3
*-> Wilcoxon-Mann-Whitney test, one-sided
ranksum d3333r if playertypenew>1, by(playertypenew)
mean d3333r if playertypenew>1, over(playertypenew)
ranksum d3456r if playertypenew>1, by(playertypenew)
mean d3456r if playertypenew>1, over(playertypenew)
ranksum d6666r if playertypenew>1, by(playertypenew)
mean d6666r if playertypenew>1, over(playertypenew)
ranksum d67890r if playertypenew>1, by(playertypenew)
mean d67890r if playertypenew>1, over(playertypenew)
ranksum d10000r if playertypenew>1, by(playertypenew)
mean d10000r if playertypenew>1, over(playertypenew)
ranksum d34567890r if playertypenew>1, by(playertypenew)
mean d34567890r if playertypenew>1, over(playertypenew)

*Spearman's rank correlation coefficient
spearman TAKE_RES D_RES if playertypenew==1, stats(rho obs p) star(0.05) pw
spearman TAKE_RES D_RES if playertypenew==2, stats(rho obs p) star(0.05) pw
spearman TAKE_RES D_RES if playertypenew==3, stats(rho obs p) star(0.05) pw

*Wilcoxon-Mann-Whitney tests, one-sided
ranksum d3333r if playertypenew==2, by(PART)
ranksum d3456r if playertypenew==2, by(PART)
ranksum d6666r if playertypenew==2, by(PART)
ranksum d67890r if playertypenew==2, by(PART)
ranksum d10000r if playertypenew==2, by(PART)
ranksum d34567890r if playertypenew==2, by(PART)

mean d3333r if playertypenew==2, over(PART)
mean d3456r if playertypenew==2, over(PART)
mean d6666r if playertypenew==2, over(PART)
mean d67890r if playertypenew==2, over(PART)
mean d10000r if playertypenew==2, over(PART)
mean d34567890r if playertypenew==2, over(PART)

*see list of tables - Table 8 & 9

*******************************************************************************






*******************************************************************************
**************************+******List of tables********************************
*******************************************************************************

*******************************************************************************
***Table 4 - Take rates: overview***
sum TAKE_CH if TYPE<3, detail
by TREAT, sort: sum TAKE_CH if TYPE<3, detail
sum TAKE_CH if TYPE==3, detail
by TREAT, sort: sum TAKE_CH if TYPE==3, detail
sum TAKE_PR if TYPE==3, detail
by TREAT, sort: sum TAKE_PR if TYPE==3, detail
sum TAKE_RES, detail
by TREAT, sort: sum TAKE_RES, detail

*******************************************************************************

*******************************************************************************
***Table 5 - Responders' destruction rate choices (in %) for different take rates***
tab d3333r
tab d3456r
tab d6666r
tab d67890r
tab d10000r
tab d34567890r
*******************************************************************************

*******************************************************************************
***Table 6 - Destruction rates: overview***
mean d3333r, over(TREAT)
mean d3333r
mean d3456r, over(TREAT)
mean d3456r
mean d6666r, over(TREAT)
mean d6666r
mean d67890r, over(TREAT)
mean d67890r
mean d10000r, over(TREAT)
mean d10000r
mean d34567890r, over(TREAT)
mean d34567890r
*******************************************************************************

*******************************************************************************
***Table 7 - Explaining actual destruction among all responders: Tobit models***
*Model 1a) Actual Destruction Rate [M1a]
tobit D_RES TAKE_RES if TYPE==3, ll(0) 
*Model 1b) Actual Destruction Rate [M1b]
tobit D_RES TAKE_RES gender majorecon age if TYPE==3, ll(0) 
*Model 2a) Actual Destruction Rate [M2a]
tobit D_RES TAKE_RES TREAT3 TREAT2 TREAT4 if TYPE==3, ll(0) 
*Model 2b) Actual Destruction Rate [M2b]
tobit D_RES TAKE_RES TREAT3 TREAT2 TREAT4 gender majorecon age if TYPE==3, ll(0) 
*Model 3a) Actual Destruction Rate [M3a]
tobit D_RES TAKE_RES TREAT3 TREAT2 TREAT4 TREAT3xTAKE_RES TREAT2xTAKE_RES TREAT4xTAKE_RES if TYPE==3, ll(0) 
*Model 3b) Actual Destruction Rate [M3b]
tobit D_RES TAKE_RES TREAT3 TREAT2 TREAT4 TREAT3xTAKE_RES TREAT2xTAKE_RES TREAT4xTAKE_RES gender majorecon age if TYPE==3, ll(0)
*******************************************************************************

*******************************************************************************
***Table 8 - Responder types***
tab playertypenew TREAT, cell chi2 
*******************************************************************************

*******************************************************************************
***Table 9 - Explaining feasible destruction among reciprocal responders: Random-effects tobit models***


clear all
use "[insert pathto data2].dta"
*Note: please use the appropriate file path!

*Model 1a) Feasible Destruction  Rates (Strategy Method) [M1a]
xttobit d_feas percentage if playertypenew==2, ll(0) 
*Model 1b) Feasible Destruction  Rates (Strategy Method) [M1b]
xttobit d_feas percentage gender majorecon age if playertypenew==2, ll(0) 
*Model 2a) Feasible Destruction  Rates (Strategy Method) [M2a]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 if  playertypenew==2, ll(0) 
*Model 2b) Feasible Destruction  Rates (Strategy Method) [M2b]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 gender majorecon age if  playertypenew==2, ll(0) 
*Model 3a) Feasible Destruction  Rates (Strategy Method) [M3a]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 TREAT3xpercentage TREAT2xpercentage TREAT4xpercentage if  playertypenew==2, ll(0) 
*Model 3b) Feasible Destruction  Rates (Strategy Method) [M3b]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 TREAT3xpercentage TREAT2xpercentage TREAT4xpercentage gender majorecon age if  playertypenew==2, ll(0) 

*without Playertypenew==2
*Model 1a) Feasible Destruction  Rates (Strategy Method) [M1a]
xttobit d_feas percentage, ll(0) 
*Model 1b) Feasible Destruction  Rates (Strategy Method) [M1b]
xttobit d_feas percentage gender majorecon age, ll(0) 
*Model 2a) Feasible Destruction  Rates (Strategy Method) [M2a]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4, ll(0) 
*Model 2b) Feasible Destruction  Rates (Strategy Method) [M2b]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 gender majorecon age, ll(0) 
*Model 3a) Feasible Destruction  Rates (Strategy Method) [M3a]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 TREAT3xpercentage TREAT2xpercentage TREAT4xpercentage, ll(0) 
*Model 3b) Feasible Destruction  Rates (Strategy Method) [M3b]
xttobit d_feas percentage TREAT3 TREAT2 TREAT4 TREAT3xpercentage TREAT2xpercentage TREAT4xpercentage gender majorecon age, ll(0) 





*******************************************************************************

*END OF DO-FILE

